#ifndef _BLKDEV_H_
#define _BLKDEV_H_

#ifndef MAX_BLKDEV
#define MAX_BLKDEV 256
#endif

#define WRITE 0
#define READ 1
#define STAT 2
#define ATA 1
#define TIMEOUT 8192


struct blkdev_struct {
    const char *name;
    int (*dev_request)(u32, u8, u32, u32, unsigned char *);
};

/*
 *   
 */
static struct blkdev_struct blkdev[MAX_BLKDEV];

#endif
