#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <types.h>
#include <major.h>

int main()
{

    u32 major_num = MAJOR_ATA;
    u32 minor_num = 3;	//   
    u32 seek = 142;	//   
    u32 num = 454355;	//   
    u8 *data_buff;	//   
//    u8 *full_path = "/test_1.file";
    u8 *full_path = "/usr/src/linux/README"; //    
    int outf;

    data_buff = (u8 *)malloc(num);
    memset(data_buff, 0, num);

/*      ext2    */
    if(ext2_read_file(major_num, minor_num, full_path, data_buff, &num, seek) < 0) {
	perror("ext2_read_file");
	printf("Bad!\n");
	exit(-1);
    }

/*     */
    outf = open("out",O_CREAT|O_RDWR,0600);
    if(outf < 0) {
	perror("open");
	exit(-1);
    }
    if(write(outf, data_buff, num) < 0) perror("write");

    close(outf);
    free(data_buff);
    return 0;
}
